Mureka 9.5 Lyrics Video
集成
模型 id
mureka/api/generate/lyrics-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/mureka/api/generate/lyrics-video?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/mureka/api/generate/lyrics-video?wait=20", {
method: "POST",
headers,
body: JSON.stringify({}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/mureka/api/generate/lyrics-video", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/zh/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "mureka/api/generate/lyrics-video",
"input": {}
}
通过 Doitong API 调用 Mureka 9.5 Lyrics Video 模型(mureka/api/generate/lyrics-video)。智能体文档:https://doitong.com/zh/developers/models/mureka/api/generate/lyrics-video.md
POST https://api.doitong.com/v1/run/mureka/api/generate/lyrics-video?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{}
如果响应状态为 "queued" 或 "running",请轮询 GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20,直到状态变为 "succeeded";文件位于 outputs[].url。使用相同请求体 POST https://api.doitong.com/v1/quote/mureka/api/generate/lyrics-video,可在运行前返回确切价格。
此请求: $0.15 150 API 积分 在此页面运行
你的新 API 密钥。 它仅在此时显示,并且已填入下方的代码和 API 密钥字段中。请妥善保密:切勿将其放入在浏览器中运行的代码。
构建请求
控件根据模型架构生成。更改控件时,代码和价格会同步更新。
POST
/run/mureka/api/generate/lyrics-video?wait=20
报价 → $0.15
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/mureka/api/generate/lyrics-video?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/mureka/api/generate/lyrics-video?wait=20", {
method: "POST",
headers,
body: JSON.stringify({}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/mureka/api/generate/lyrics-video", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "mureka/api/generate/lyrics-video",
"input": {},
"wait_seconds": 20
}
}
}
关于 Mureka 9.5 Lyrics Video
根据 `song_id` 或 `upload_audio_id` 创建歌词视频;必须提供其中一个。选择 `aspect_ratio`(16:9、9:16、3:4 或 4:3)和七种 `layout` 模板之一,还可选填 `title`、`background_id` 或 `cover_url`。若只使用歌曲的一部分,可选择歌词行或毫秒时间范围,但不能同时选择两者。
参数
名称类型
默认值允许值
描述
song_id可选
类型string | null
作为 upload_audio_id 替代项提供的生成音频标识符 song_id;必须提供且只能提供一个。对于歌曲或器乐,从响应中的 song_id 获取其值。
upload_audio_id可选
类型string | null
作为 song_id 替代项提供的上传音频标识符 upload_audio_id;必须提供且只能提供一个。通过 /files/upload 并使用 purpose='audio' 获取该标识符。
background_id可选
类型string | null
通过 /files/upload 并使用 purpose='lyrics-video' 获取的背景图像标识符。
cover_url可选
类型string | null
可选封面图像,layout_1 不支持。使用 data URI 或可公开访问的 HTTPS URL 提供 JPG、PNG 或 WebP。
title可选
类型string | null
可选标题,用于显示在歌词视频中。
aspect_ratio可选
类型enum
默认值9:16
16:99:163:44:3
生成视频的宽高比。
layout可选
类型enum
默认值layout_1
layout_1layout_2layout_3layout_4layout_5layout_6layout_7
定义歌词视频视觉布局的模板。
lyrics_start_row可选
类型integer | null
≥ 1
按行选择时包含的第一行歌词;按行选择需要 lyrics_end_row,并排除基于时间的选择。行号从 1 开始。
lyrics_end_row可选
类型integer | null
≥ 1
按行选择时包含的最后一行歌词,与 lyrics_start_row 配合定义,而不是进行基于时间的选择。
selection_start可选
类型integer | null
≥ 0
音频范围边界;需要 selection_end,并排除按歌词行选择。它指定所包含音频的开始位置,以毫秒为单位。
selection_end可选
类型integer | null
≥ 0
需要 selection_start 且排除歌词行选择的音频范围边界。它指定包含的音频结束位置,单位为毫秒。
enable_safety_checker可选
类型boolean
默认值true
调用方获得授权后,可将其设置为 false 以放宽审核。
必填
输出
GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "mureka/api/generate/lyrics-video",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 150,
"usd": "0.15",
"charged": 150,
"refunded": 0
},
"input": {},
"output": {
"video": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_name": "0-output.mp4",
"file_size": 1843200
}
},
"outputs": [
{
"type": "video",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_size": 1843200,
"width": 1280,
"height": 720,
"duration": 5,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
你的文件,由你选择每个 outputs[].url 都是存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
每个模型的结构相同图像、视频和音频均包含 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
- video
- object {url, content_type, file_name, file_size}生成得到的视频文件。
其他 Mureka 9.5 变体
更多模型:唇形同步与数字人
对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh/developers/models/mureka/api/generate/lyrics-video.md. 所有模型和指南: https://doitong.com/developers/llms.txt